OpenJPEG: faixbox_manager.c File Reference

OpenJPEG 2.5.0

Macros | Functions
faixbox_manager.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "faixbox_manager.h"`
`#include "opj_inttypes.h"`

## Macros
#define | FCGI_stdout stdout
#define | FCGI_stderr stderr
#define | logstream stderr

## Functions
faixbox_param_t * | gene_faixbox (box_param_t *box)
| generate faix box
void | print_faixbox (faixbox_param_t *faix)
| print faix box parameters
void | delete_faixbox (faixbox_param_t **faix)
| delete faix box
Byte8_t | get_nmax (faixbox_param_t *faix)
| get nmax parameter value from faix box
Byte8_t | get_m (faixbox_param_t *faix)
| get m parameter value from faix box
Byte8_t | get_elemOff (faixbox_param_t *faix, Byte8_t elem_id, Byte8_t row_id)
| get offset of a element from faix box
Byte8_t | get_elemLen (faixbox_param_t *faix, Byte8_t elem_id, Byte8_t row_id)
| get length of a element from faix box
Byte4_t | get_elemAux (faixbox_param_t *faix, Byte8_t elem_id, Byte8_t row_id)
| get aux of a element from faix box

## Macro Definition Documentation

## ◆ FCGI_stderr

#define FCGI_stderr stderr

## ◆ FCGI_stdout

#define FCGI_stdout stdout

## ◆ logstream

#define logstream stderr

## Function Documentation

## ◆ delete_faixbox()

void delete_faixbox | ( | faixbox_param_t ** | faix | ) |

delete faix box

Parameters

  [in,out] | faix | addressof the faixbox pointer

Referenced by delete_index().

## ◆ gene_faixbox()

faixbox_param_t * gene_faixbox | ( | box_param_t * | box | ) |

generate faix box

Parameters

  [in] | box | pointer to the reference faix_box

Returns
  generated faixbox

References subfaixbox4_param::aux, subfaixbox8_param::aux, subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::elem, subfaixbox8_param::elem, FCGI_stderr, fetch_DBox1byte(), fetch_DBox4bytebigendian(), fetch_DBox8bytebigendian(), faixelem4_param::len, faixelem8_param::len, subfaixbox4_param::m, subfaixbox8_param::m, subfaixbox4_param::nmax, subfaixbox8_param::nmax, faixelem4_param::off, faixelem8_param::off, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by set_ppixdata(), and set_tpixdata().

## ◆ get_elemAux()

Byte4_t get_elemAux | ( | faixbox_param_t * | faix,
|  | Byte8_t | elem_id,
|  | Byte8_t | row_id
| ) |  |

get aux of a element from faix box

Parameters

  [in] | faix | faix box pointer
  [in] | elem_id | element id in a row (0<= <nmax)
  [in] | row_id | row id (0<= <m)

References subfaixbox4_param::aux, subfaixbox8_param::aux, subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, get_nmax(), faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by print_faixbox().

## ◆ get_elemLen()

Byte8_t get_elemLen | ( | faixbox_param_t * | faix,
|  | Byte8_t | elem_id,
|  | Byte8_t | row_id
| ) |  |

get length of a element from faix box

Parameters

  [in] | faix | faix box pointer
  [in] | elem_id | element id in a row (0<= <nmax)
  [in] | row_id | row id (0<= <m)

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::elem, subfaixbox8_param::elem, get_nmax(), faixelem4_param::len, faixelem8_param::len, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_precinct(), enqueue_tile(), and print_faixbox().

## ◆ get_elemOff()

Byte8_t get_elemOff | ( | faixbox_param_t * | faix,
|  | Byte8_t | elem_id,
|  | Byte8_t | row_id
| ) |  |

get offset of a element from faix box

Parameters

  [in] | faix | faix box pointer
  [in] | elem_id | element id in a row (0<= <nmax)
  [in] | row_id | row id (0<= <m)

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::elem, subfaixbox8_param::elem, get_nmax(), faixelem4_param::off, faixelem8_param::off, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), and print_faixbox().

## ◆ get_m()

Byte8_t get_m | ( | faixbox_param_t * | faix | ) |

get m parameter value from faix box

Parameters

  [in] | faix | faix box pointer

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::m, subfaixbox8_param::m, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_tile(), gene_cachemodel(), and print_faixbox().

## ◆ get_nmax()

Byte8_t get_nmax | ( | faixbox_param_t * | faix | ) |

get nmax parameter value from faix box

Parameters

  [in] | faix | faix box pointer

References subfaixbox_param::byte4_params, subfaixbox_param::byte8_params, subfaixbox4_param::nmax, subfaixbox8_param::nmax, faixbox_param::subfaixbox, and faixbox_param::version.

Referenced by enqueue_imagedata(), enqueue_precinct(), enqueue_tile(), gene_cachemodel(), get_elemAux(), get_elemLen(), get_elemOff(), is_allsent(), isJPTfeasible(), print_cachemodel(), and print_faixbox().

## ◆ print_faixbox()

void print_faixbox | ( | faixbox_param_t * | faix | ) |

print faix box parameters

Parameters

  [in] | faix | faix box pointer

References get_elemAux(), get_elemLen(), get_elemOff(), get_m(), get_nmax(), logstream, and faixbox_param::version.

Referenced by print_index().